# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rack-mini-profiler"
  s.version = "0.1.26"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sam Saffron", "Robin Ward", "Aleks Totic"]
  s.date = "2013-04-11"
  s.description = "Profiling toolkit for Rack applications with Rails integration. Client Side profiling, DB profiling and Server profiling."
  s.email = "sam.saffron@gmail.com"
  s.extra_rdoc_files = ["Ruby/README.md", "Ruby/CHANGELOG"]
  s.files = ["rack-mini-profiler.gemspec", "Ruby/lib/mini_profiler_rails/railtie.rb", "Ruby/lib/html/list.css", "Ruby/lib/html/jquery.tmpl.js", "Ruby/lib/html/list.tmpl", "Ruby/lib/html/share.html", "Ruby/lib/html/includes.less", "Ruby/lib/html/profile_handler.js", "Ruby/lib/html/includes.tmpl", "Ruby/lib/html/includes.js", "Ruby/lib/html/list.js", "Ruby/lib/html/jquery.1.7.1.js", "Ruby/lib/html/flamegraph.html", "Ruby/lib/html/includes.css", "Ruby/lib/mini_profiler/context.rb", "Ruby/lib/mini_profiler/page_timer_struct.rb", "Ruby/lib/mini_profiler/storage/file_store.rb", "Ruby/lib/mini_profiler/storage/memcache_store.rb", "Ruby/lib/mini_profiler/storage/memory_store.rb", "Ruby/lib/mini_profiler/storage/abstract_store.rb", "Ruby/lib/mini_profiler/storage/redis_store.rb", "Ruby/lib/mini_profiler/client_settings.rb", "Ruby/lib/mini_profiler/profiling_methods.rb", "Ruby/lib/mini_profiler/gc_profiler.rb", "Ruby/lib/mini_profiler/client_timer_struct.rb", "Ruby/lib/mini_profiler/sql_timer_struct.rb", "Ruby/lib/mini_profiler/config.rb", "Ruby/lib/mini_profiler/custom_timer_struct.rb", "Ruby/lib/mini_profiler/version.rb", "Ruby/lib/mini_profiler/timer_struct.rb", "Ruby/lib/mini_profiler/profiler.rb", "Ruby/lib/mini_profiler/request_timer_struct.rb", "Ruby/lib/mini_profiler/flame_graph.rb", "Ruby/lib/patches/net_patches.rb", "Ruby/lib/patches/sql_patches.rb", "Ruby/lib/rack-mini-profiler.rb", "Ruby/README.md", "Ruby/CHANGELOG"]
  s.homepage = "http://miniprofiler.com"
  s.require_paths = ["Ruby/lib"]
  s.rubygems_version = "2.0.3"
  s.summary = "Profiles loading speed for rack applications."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rack>, [">= 1.1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rack-test>, [">= 0"])
      s.add_development_dependency(%q<activerecord>, ["~> 3.0"])
    else
      s.add_dependency(%q<rack>, [">= 1.1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rack-test>, [">= 0"])
      s.add_dependency(%q<activerecord>, ["~> 3.0"])
    end
  else
    s.add_dependency(%q<rack>, [">= 1.1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rack-test>, [">= 0"])
    s.add_dependency(%q<activerecord>, ["~> 3.0"])
  end
end

